import axios from "@/config/axios"

export default {
  add(params) {
    return axios.post('/category/add', params)
  },
  getList(params) {
    return axios.get('/category/index', { params })
  },
  edit(params) {
    return axios.put('/category/edit', params)
  },
  delete(params) {
    return axios.delete('/category/delete/'+params)
  },
  getDetail(index) {
    return axios.get("/category/info" + index)
  },
  getCodeByYear(year){
    return axios.get('/category/getCategoryList/'+year)
  }
}